#!/bin/bash

#SBATCH -J XMAS_CARD
#SBATCH --kill-on-invalid-dep=yes

# Slurm directive description:
# -J: job name
# --kill-on-invalid-dep: Whether to kill the job if the dependencies are
#   not satisfied. If the verification jobs fail, the scorecards job 
#   will be canceled.

set -vx

nrows=$1
ncols=$2
outfile=$3

outdir="$(dirname "${outfile}")"

# Create image layout
montage ${outdir}/santas_workshop/tree_??.png -tile ${ncols}x${nrows} -geometry +1+1 ${outfile}
